| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Member Functions | List of all members
IEvtSelector Class Referenceabstract

The Event Selector Interface. More...

`#include <GaudiKernel/IEvtSelector.h>`

Inheritance diagram for IEvtSelector:
[legend]
Collaboration diagram for IEvtSelector:
[legend]

## Classes
class | Context

## Public Member Functions
| DeclareInterfaceID (IEvtSelector, 2, 0)
| InterfaceID. More...
virtual StatusCode | createContext (Context *&c) const =0
| Create and return a context object that will keep track of the state of selection. More...
virtual StatusCode | next (Context &c) const =0
| Fetch the next event or the first event if it will be use soon after the creation of the context. More...
virtual StatusCode | next (Context &c, int jump) const =0
| Same of next(const Context&) plus the possibility to jump the next n-1 events. More...
virtual StatusCode | previous (Context &c) const =0
| Fetch the previous event. More...
virtual StatusCode | previous (Context &c, int jump) const =0
| Same of previous(Context& c) the possibility to jump the previous n-1 events. More...
virtual StatusCode | last (Context &refContext) const =0
| Access last item in the iteration. More...
virtual StatusCode | rewind (Context &c) const =0
| Will set the state of the context in a way that the next event read is the first of the list. More...
virtual StatusCode | createAddress (const Context &c, IOpaqueAddress *&iop) const =0
| Create an IOpaqueAddress object from the event fetched. More...
virtual StatusCode | releaseContext (Context *&) const =0
| Release the Context object. More...
virtual StatusCode | resetCriteria (const std::string &cr, Context &c) const =0
| Will set a new criteria for the selection of the next list of events and will change the state of the context in a way to point to the new list. More...
Public Member Functions inherited from IInterface
virtual void * | i_cast (const InterfaceID &) const =0
| main cast function More...
virtual std::vector< std::string > | getInterfaceNames () const =0
| Returns a vector of strings containing the names of all the implemented interfaces. More...
virtual unsigned long | addRef ()=0
| Increment the reference count of Interface instance. More...
virtual unsigned long | release ()=0
| Release Interface instance. More...
virtual unsigned long | refCount () const =0
| Current reference count. More...
virtual StatusCode | queryInterface (const InterfaceID &ti, void **pp)=0
| Set the void** to the pointer to the requested interface of the instance. More...
virtual | ~IInterface ()=default
| Virtual destructor. More...

## Additional Inherited Members
Public Types inherited from IInterface
enum | Status { SUCCESS = 1, NO_INTERFACE, VERSMISMATCH, LAST_ERROR }
| Return status. More...
using | iid = Gaudi::InterfaceId< IInterface, 0, 0 >
| Interface ID. More...
using | ext_iids = Gaudi::interface_list< iid >
| Extra interfaces. More...
Static Public Member Functions inherited from IInterface
static const InterfaceID & | interfaceID ()
| Return an instance of InterfaceID identifying the interface. More...

## Detailed Description

The Event Selector Interface.

The EventSelector component is able to produce a list of event given a set of stream specifications.

Author
  C. Cioffi

Date
  14/11/2003

Definition at line 18 of file IEvtSelector.h.

## Member Function Documentation

virtual StatusCode IEvtSelector::createAddress | ( | const Context & | c,
|  | IOpaqueAddress *& | iop
| ) |  | const
| pure virtual

Create an IOpaqueAddress object from the event fetched.

Parameters

  c | Reference to the Context object.
  iop | Refernce pointer to a IOpaqueAddress object

virtual StatusCode IEvtSelector::createContext | ( | Context *& | c | ) | const
| pure virtual

Create and return a context object that will keep track of the state of selection.

Parameters

  c | Reference of a pointer to a Context object.

IEvtSelector::DeclareInterfaceID | ( | IEvtSelector | ,
|  | 2 | ,
|  | 0 |
| ) |  |

InterfaceID.

virtual StatusCode IEvtSelector::last | ( | Context & | refContext | ) | const
| pure virtual

Access last item in the iteration.

Parameters

  refContext | [IN/OUT] Reference to the Context object.

virtual StatusCode IEvtSelector::next | ( | Context & | c | ) | const
| pure virtual

Fetch the next event or the first event if it will be use soon after the creation of the context.

It will return StatusCode::FAILURE if there have been problem in the fetching or it has been reached the end of the list of events.

Parameters

  c | Reference to the Context object.

virtual StatusCode IEvtSelector::next | ( | Context & | c,
|  | int | jump
| ) |  | const
| pure virtual

Same of next(const Context&) plus the possibility to jump the next n-1 events.

Parameters

  c | Reference to the Context object.
  jump | The event to jump to from the current event.

virtual StatusCode IEvtSelector::previous | ( | Context & | c | ) | const
| pure virtual

Fetch the previous event.

It will return StatusCode::FAILURE if there have been problem in the fetching or it has been reached the begin of the list of events.

Parameters

  c | Reference to the Context object.

virtual StatusCode IEvtSelector::previous | ( | Context & | c,
|  | int | jump
| ) |  | const
| pure virtual

Same of previous(Context& c) the possibility to jump the previous n-1 events.

Parameters

  c | Reference to the Context object.
  jump | The event to jump to from the current event.

virtual StatusCode IEvtSelector::releaseContext | ( | Context *& |  | ) | const
| pure virtual

Release the Context object.

Parameters

  c | Reference pointer to the Context object.

virtual StatusCode IEvtSelector::resetCriteria | ( | const std::string & | cr,
|  | Context & | c
| ) |  | const
| pure virtual

Will set a new criteria for the selection of the next list of events and will change the state of the context in a way to point to the new list.

Parameters

  cr | The new criteria string.
  c | Reference pointer to the Context object.

virtual StatusCode IEvtSelector::rewind | ( | Context & | c | ) | const
| pure virtual

Will set the state of the context in a way that the next event read is the first of the list.

Parameters

  c | Reference to the Context object.

The documentation for this class was generated from the following file:

- GaudiKernel/GaudiKernel/IEvtSelector.h